Skip to main content
POST
/
seller
Create seller account
curl --request POST \
  --url https://api.managem.co.uk/seller \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "returnUrl": "<string>",
  "refreshUrl": "<string>"
}
'
{
  "sellerId": "<string>",
  "status": "<string>",
  "onboardingUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Seller onboarding return URLs

returnUrl
string<uri>
required

The URL to redirect to after onboarding is complete

refreshUrl
string<uri>
required

The URL to redirect to if the onboarding needs to be refreshed

Response

201 - application/json

Seller created

Information about a user's seller account

sellerId
string
required

Stripe seller account ID

status
string
required

Current seller status

onboardingUrl
string<uri>
required

URL for the Stripe onboarding flow